# do not import all endpoints into this module because that uses a lot of memory and stack frames
# if you need the ability to import all endpoints from this module, import them with
# from xprizo_sdk_py.apis.path_to_api import path_to_api

import enum


class PathValues(str, enum.Enum):
    API_AGENT_SUB_AGENT_LIST = "/api/Agent/SubAgentList"
    API_AGENT_LOCATIONS = "/api/Agent/Locations"
    API_AGENT_WALLET_ACCOUNT_ID = "/api/Agent/Wallet/{accountId}"
    API_AGENT_TRANSACTIONS_ACCOUNT_ID = "/api/Agent/Transactions/{accountId}"
    API_AGENT_TRADE_LIMIT_REQUEST = "/api/Agent/TradeLimitRequest"
    API_AGENT_CASH_REQUEST = "/api/Agent/CashRequest"
    API_AGENT_ADD_SUB_AGENT_REQUEST = "/api/Agent/AddSubAgentRequest"
    API_AGENT_AGENT_SEND_PAYMENT = "/api/Agent/AgentSendPayment"
    API_AGENT_AGENT_REQUEST_PAYMENT = "/api/Agent/AgentRequestPayment"
    API_AGENT_REFERENCE_REQUEST = "/api/Agent/ReferenceRequest"
    API_AGENT_REFERENCE_ENDORSE = "/api/Agent/ReferenceEndorse"
    API_AGENT_SUB_AGENT_APPROVED = "/api/Agent/SubAgentApproved"
    API_AGENT_SET_WALLET_ACCESS = "/api/Agent/SetWalletAccess"
    API_AGENT_SET_SUB_AGENT_COMMISSION = "/api/Agent/SetSubAgentCommission"
    API_AGENT_DELETE_SUB_AGENT = "/api/Agent/DeleteSubAgent"
    API_CATEGORY_GET_MODEL = "/api/Category/GetModel"
    API_CATEGORY_LIST = "/api/Category/List"
    API_CATEGORY_LIST_ALL = "/api/Category/ListAll"
    API_CATEGORY_SET_NAME = "/api/Category/SetName"
    API_CATEGORY_SET_DESCRIPTION = "/api/Category/SetDescription"
    API_CATEGORY_SET_PUBLIC = "/api/Category/SetPublic"
    API_CATEGORY_SET_DATA_HASH_ID = "/api/Category/SetData/{hashId}"
    API_CATEGORY_SET_PDF_ATTACHMENT = "/api/Category/SetPdfAttachment"
    API_CATEGORY_ADD_ITEM = "/api/Category/AddItem"
    API_CATEGORY_DELETE_HASH_ID = "/api/Category/Delete/{hashId}"
    API_CATEGORY_GET_PROPERTIES = "/api/Category/GetProperties"
    API_CATEGORY_UPDATE_PROPERTY = "/api/Category/UpdateProperty"
    API_CATEGORY_ADD_PROPERTY = "/api/Category/AddProperty"
    API_CATEGORY_DELETE_PROPERTY_HASH_ID = "/api/Category/DeleteProperty/{hashId}"
    API_CONTACT_SEARCH = "/api/Contact/Search"
    API_CONTACT_GET_ID = "/api/Contact/Get/{id}"
    API_CONTACT_GET_BUSINESS_HASH_ID = "/api/Contact/GetBusiness/{hashId}"
    API_CONTACT_NAME_ID = "/api/Contact/Name/{id}"
    API_CONTACT_TAX_COUNTRY_CODE = "/api/Contact/TaxCountryCode"
    API_CONTACT_BANKS = "/api/Contact/Banks"
    API_CONTACT_UPDATE = "/api/Contact/Update"
    API_CONTACT_UPDAT_BUSINESS = "/api/Contact/UpdatBusiness"
    API_CONTACT_SET_MOBILE = "/api/Contact/SetMobile"
    API_CONTACT_SET_EMAIL = "/api/Contact/SetEmail"
    API_CONTACT_SET_TAX_COUNTRY_CODE = "/api/Contact/SetTaxCountryCode"
    API_CONTACT_TASKS_ID = "/api/Contact/Tasks/{id}"
    API_CONTACT_MESSAGES = "/api/Contact/Messages"
    API_CONTACT_MESSAGES_UNREAD_COUNT = "/api/Contact/MessagesUnreadCount"
    API_CONTACT_MESSAGES_SET_READ = "/api/Contact/MessagesSetRead"
    API_CONTACT_SEND_MESSAGE = "/api/Contact/SendMessage"
    API_CONTACT_ADD_TICKET = "/api/Contact/AddTicket"
    API_DOCUMENT_TYPES = "/api/Document/Types"
    API_DOCUMENT_LIST_CONTACT_ID = "/api/Document/List/{contactId}"
    API_DOCUMENT_ADD_CONTACT_ID = "/api/Document/Add/{contactId}"
    API_DOCUMENT_DELETE_ID = "/api/Document/Delete/{id}"
    API_ISGPAY_CARD_DEPOSIT = "/api/ISGPay/CardDeposit"
    API_ISGPAY_CARD_DEPOSIT_RESPONSE = "/api/ISGPay/CardDepositResponse"
    API_ISGPAY_REQUEST_PAYMENT = "/api/ISGPay/RequestPayment"
    API_ISGPAY_REQUEST_PAYMENT_RESPONSE = "/api/ISGPay/RequestPaymentResponse"
    API_ISGPAY_SEND = "/api/ISGPay/Send"
    API_ISGPAY_SEND_RESPONSE = "/api/ISGPay/SendResponse"
    API_ISGPAY_CHECK_STATUS = "/api/ISGPay/CheckStatus"
    API_ITEM_MODEL = "/api/Item/Model"
    API_ITEM_LIST = "/api/Item/List"
    API_ITEM_MERGE_TEMPLATE = "/api/Item/MergeTemplate"
    API_ITEM_TRANSACTION_REPORT_TRANSACTION_ID = "/api/Item/TransactionReport/{transactionId}"
    API_ITEM_SET_IMAGE = "/api/Item/SetImage"
    API_ITEM_SET_AMOUNT = "/api/Item/SetAmount"
    API_ITEM_SET_PROPERTY = "/api/Item/SetProperty"
    API_ITEM_SET_PROPERTY_IMAGE = "/api/Item/SetPropertyImage"
    API_ITEM_SET_NAME = "/api/Item/SetName"
    API_ITEM_SET_DESCRIPTION = "/api/Item/SetDescription"
    API_ITEM_SET_DETAIL = "/api/Item/SetDetail"
    API_ITEM_ADD = "/api/Item/Add"
    API_ITEM_DELETEHASH_ID = "/api/Item/Delete{hashId}"
    API_ITEM_SUBSCRIPTIONS = "/api/Item/Subscriptions"
    API_ITEM_SUBSCRIBE_HASH_ID = "/api/Item/Subscribe/{hashId}"
    API_ITEM_UNSUBSCRIBE_HASH_ID = "/api/Item/Unsubscribe/{hashId}"
    API_ITEM_PIN_SUBSCRIPTION = "/api/Item/PinSubscription"
    API_ITEM_UNPIN_SUBSCRIPTION = "/api/Item/UnpinSubscription"
    API_MERCHANT_REQUEST_PAYMENT = "/api/Merchant/RequestPayment"
    API_MERCHANT_ADD = "/api/Merchant/Add"
    API_MERCHANT_GET_DATA = "/api/Merchant/GetData"
    API_PREFERENCE = "/api/Preference"
    API_PREFERENCE_PROFILE_PICTURE = "/api/Preference/ProfilePicture"
    API_PREFERENCE_NOTIFICATION_COUNT = "/api/Preference/NotificationCount"
    API_PREFERENCE_SET_ALLOW_MARKETING_EMAILS = "/api/Preference/SetAllowMarketingEmails"
    API_PREFERENCE_SET_VISIBLE_BY_USER_NAME = "/api/Preference/SetVisibleByUserName"
    API_PREFERENCE_SET_VISIBLE_BY_EMAIL = "/api/Preference/SetVisibleByEmail"
    API_PREFERENCE_SET_VISIBLE_BY_PHONE = "/api/Preference/SetVisibleByPhone"
    API_PREFERENCE_SET_LOCATION_VISIBLE = "/api/Preference/SetLocationVisible"
    API_PREFERENCE_SET_FIND_OPTION = "/api/Preference/SetFindOption"
    API_PREFERENCE_SET_NOTIFY_ON_NEW_APPROVAL = "/api/Preference/SetNotifyOnNewApproval"
    API_PREFERENCE_SET_NOTIFY_ON_NEW_TRANSACTION = "/api/Preference/SetNotifyOnNewTransaction"
    API_PREFERENCE_SET_NOTIFY_VIA_EMAIL = "/api/Preference/SetNotifyViaEmail"
    API_PREFERENCE_SET_LAT_LNG = "/api/Preference/SetLatLng"
    API_PREFERENCE_SET_LANGUAGE = "/api/Preference/SetLanguage"
    API_PREFERENCE_SET_PAY_FEES_FROM_SAVINGS = "/api/Preference/SetPayFeesFromSavings"
    API_PREFERENCE_SET_DEFAULT_OTPTYPE = "/api/Preference/SetDefaultOTPType"
    API_PREFERENCE_SET_PROFILE_PICTURE = "/api/Preference/SetProfilePicture"
    API_PREFERENCE_SET_NOTIFICATION_PUSH_TOKEN = "/api/Preference/SetNotificationPushToken"
    API_PREFERENCE_SET_APPROVAL_WEBHOOK = "/api/Preference/SetApprovalWebhook"
    API_PREFERENCE_SET_PAYMENT_WEBHOOK = "/api/Preference/SetPaymentWebhook"
    API_PREFERENCE_SET_REQUEST_PAYMENT_WEBHOOK = "/api/Preference/SetRequestPaymentWebhook"
    API_PREFERENCE_NOTIFICATION_COUNT_CLEAR = "/api/Preference/NotificationCountClear"
    API_PROFILE_GET = "/api/Profile/Get"
    API_PROFILE_GET_FULL = "/api/Profile/GetFull"
    API_PROFILE_LOG = "/api/Profile/Log"
    API_PROFILE_SET_USER_NAME = "/api/Profile/SetUserName"
    API_PROFILE_SET_PASSWORD = "/api/Profile/SetPassword"
    API_PROFILE_SET_PIN = "/api/Profile/SetPin"
    API_PROFILE_CLEAR_PIN = "/api/Profile/ClearPin"
    API_PROFILE_UNLOCK = "/api/Profile/Unlock"
    API_PROFILE_LOCK = "/api/Profile/Lock"
    API_RELATIONSHIP_LIST = "/api/Relationship/List"
    API_RELATIONSHIP_GET_MODEL = "/api/Relationship/GetModel"
    API_RELATIONSHIP_DEFAULT_WALLET = "/api/Relationship/DefaultWallet"
    API_RELATIONSHIP_DEFAULT_WALLETS = "/api/Relationship/DefaultWallets"
    API_RELATIONSHIP_WALLETS = "/api/Relationship/Wallets"
    API_RELATIONSHIP_LINKED_WALLETS = "/api/Relationship/LinkedWallets"
    API_RELATIONSHIP_GET_WALLET_ACCESS = "/api/Relationship/GetWalletAccess"
    API_RELATIONSHIP_TRANSACTIONS = "/api/Relationship/Transactions"
    API_RELATIONSHIP_ADD = "/api/Relationship/Add"
    API_RELATIONSHIP_SET_STATUS_ACTIVE = "/api/Relationship/SetStatusActive"
    API_RELATIONSHIP_SET_STATUS_HIDDEN = "/api/Relationship/SetStatusHidden"
    API_RELATIONSHIP_SET_STATUS_BLOCKED = "/api/Relationship/SetStatusBlocked"
    API_RELATIONSHIP_SET_ACCESS = "/api/Relationship/SetAccess"
    API_REPORT_GET = "/api/Report/Get"
    API_REPORT_SAVE = "/api/Report/Save"
    API_SECURITY_GET_TOKEN = "/api/Security/GetToken"
    API_SECURITY_FIREBASE_LOGIN = "/api/Security/FirebaseLogin"
    API_SECURITY_GOOGLE_LOGIN = "/api/Security/GoogleLogin"
    API_SECURITY_APPLE_LOGIN = "/api/Security/AppleLogin"
    API_SECURITY_LOGOUT = "/api/Security/Logout"
    API_SECURITY_REGISTER = "/api/Security/Register"
    API_SECURITY_VALIDATE_USER = "/api/Security/ValidateUser"
    API_SECURITY_SEND_OTP_TO_EMAIL = "/api/Security/SendOtpToEmail"
    API_SECURITY_SEND_OTP_TO_SMS = "/api/Security/SendOtpToSMS"
    API_SECURITY_CHECK_OTP = "/api/Security/CheckOtp"
    API_SECURITY_SEND_OTP = "/api/Security/SendOtp"
    API_SECURITY_SEND_NEW_OTP = "/api/Security/SendNewOtp"
    API_SECURITY_GET_CAPTCHA = "/api/Security/GetCaptcha"
    API_SECURITY_ACTIVATE_ACCOUNT = "/api/Security/ActivateAccount"
    API_SECURITY_GET_RESET_KEY = "/api/Security/GetResetKey"
    API_SECURITY_RESET_PASSWORD = "/api/Security/ResetPassword"
    API_SYSTEM_INFO = "/api/System/Info"
    API_SYSTEM_MERCHANTS = "/api/System/Merchants"
    API_SYSTEM_COUNTRY_LIST = "/api/System/CountryList"
    API_SYSTEM_CURRENCIES = "/api/System/Currencies"
    API_SYSTEM_BANKS = "/api/System/Banks"
    API_SYSTEM_BANK_COUNT = "/api/System/BankCount"
    API_SYSTEM_BANK = "/api/System/Bank"
    API_TASK_GET_ID = "/api/Task/Get/{id}"
    API_TASK_ADD_COMMENT_ID = "/api/Task/AddComment/{id}"
    API_TASK_ADD_ATTACHMENT_ID = "/api/Task/AddAttachment/{id}"
    API_TASK_HIDE_ID = "/api/Task/Hide/{id}"
    API_TASK_SHOW_ID = "/api/Task/Show/{id}"
    API_TASK_CANCEL_ID = "/api/Task/Cancel/{id}"
    API_TASK_ONE_OFF_WITHDRAWAL_AMOUNT_REQUEST_ACCOUNT_ID = "/api/Task/OneOffWithdrawalAmountRequest/{accountId}"
    API_TASK_DAILY_WITHDRAWAL_LIMIT_REQUEST_ACCOUNT_ID = "/api/Task/DailyWithdrawalLimitRequest/{accountId}"
    API_TRANSACTION_STATUS_BY_REFERENCE_ACCOUNT_ID = "/api/Transaction/StatusByReference/{accountId}"
    API_TRANSACTION_INSTANT_PAYMENT_QRCODE = "/api/Transaction/InstantPaymentQRCode"
    API_TRANSACTION_APPROVAL_CANCEL = "/api/Transaction/ApprovalCancel"
    API_TRANSACTION_APPROVAL_ACCEPT = "/api/Transaction/ApprovalAccept"
    API_TRANSACTION_APPROVAL_REJECT = "/api/Transaction/ApprovalReject"
    API_TRANSACTION_SEND_PAYMENT = "/api/Transaction/SendPayment"
    API_TRANSACTION_REQUEST_PAYMENT = "/api/Transaction/RequestPayment"
    API_TRANSACTION_WALLET_EXCHANGE = "/api/Transaction/WalletExchange"
    API_TRANSACTION_BANK_DEPOSIT = "/api/Transaction/BankDeposit"
    API_TRANSACTION_AGENT_DEPOSIT = "/api/Transaction/AgentDeposit"
    API_TRANSACTION_AGENT_WITHDRAWAL = "/api/Transaction/AgentWithdrawal"
    API_TRANSACTION_SAVINGS_DEPOSIT = "/api/Transaction/SavingsDeposit"
    API_TRANSACTION_SAVINGS_WITHDRAWAL = "/api/Transaction/SavingsWithdrawal"
    API_WALLET_LIST = "/api/Wallet/List"
    API_WALLET_SAVINGS_LIST = "/api/Wallet/SavingsList"
    API_WALLET_ACCOUNT_ID = "/api/Wallet/{accountId}"
    API_WALLET_INFO = "/api/Wallet/Info"
    API_WALLET_INFO_LIST = "/api/Wallet/InfoList"
    API_WALLET_OWNER = "/api/Wallet/Owner"
    API_WALLET_OPTIONS = "/api/Wallet/Options"
    API_WALLET_TRANSACTIONS_ACCOUNT_ID = "/api/Wallet/Transactions/{accountId}"
    API_WALLET_TRANSACTION_TRANSACTION_ID = "/api/Wallet/Transaction/{transactionId}"
    API_WALLET_TRANSACTION_BY_REFERENCE_ACCOUNT_ID = "/api/Wallet/TransactionByReference/{accountId}"
    API_WALLET_TRANSACTION_SUMMARY = "/api/Wallet/TransactionSummary"
    API_WALLET_MONTHLY_BALANCES = "/api/Wallet/MonthlyBalances"
    API_WALLET_TOTAL_WITHDRAWALS = "/api/Wallet/TotalWithdrawals"
    API_WALLET_ADD = "/api/Wallet/Add"
    API_WALLET_SET_DEFAULT_ACCOUNT_ID = "/api/Wallet/SetDefault/{accountId}"
    API_WALLET_CLEAR_NEW_TRANSACTION_COUNT_ACCOUNT_ID = "/api/Wallet/ClearNewTransactionCount/{accountId}"
    API_WALLET_STATEMENT_REPORT_ACCOUNT_ID = "/api/Wallet/StatementReport/{accountId}"
    API_WALLET_TRANSACTION_REPORT_TRANSACTION_ID = "/api/Wallet/TransactionReport/{transactionId}"
    API_WALLET_ID = "/api/Wallet/{id}"
    API_WALLET_APPROVAL_STATUS = "/api/Wallet/ApprovalStatus"
